> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1rficases references



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/rfi/cases/{id}/references
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/rfi/cases/{id}/references:
    post:
      tags:
        - RFI
      operationId: RfiController_attachReference
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttachRfiReferenceDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    AttachRfiReferenceDto:
      type: object
      properties:
        entity:
          allOf:
            - $ref: '#/components/schemas/RfiEntityType'
        entityId:
          type: string
      required:
        - entity
        - entityId
    RfiEntityType:
      type: string
      enum:
        - Identity
        - Transaction
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````